<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>Mi primer Leaflet</title>
    <!-- Leaflet -->
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.0.1/dist/leaflet.css" />
    <!-- Bootstrap -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
    <!-- Mini map -->
    <link rel="stylesheet" href="Leaflet-MiniMap/dist/Control.MiniMap.min.css">
    <!-- Leaflet.MousePosition -->
    <link rel="stylesheet" href="Leaflet.MousePosition/src/L.Control.MousePosition.css">
    <!-- Leaflet.awesome-markers -->
    <link rel="stylesheet" href="Leaflet.awesome-markers/dist/leaflet.awesome-markers.css">
    <!--  -->
    <link rel="stylesheet" href="http://code.ionicframework.com/ionicons/1.5.2/css/ionicons.min.css">
    <!--  -->
    <link rel="stylesheet" href="font-awesome-4.7.0/css/font-awesome.css">

    <!-- Leaflet -->
    <script src="https://unpkg.com/leaflet@1.0.1/dist/leaflet.js"></script>
    <!-- ESRI -->
    <script src="https://cdn.jsdelivr.net/leaflet.esri/2.0.0-beta.8/esri-leaflet.js"></script>
    <script src="archivos_curso_leaflet/leaflet.shpfile.js"></script>
    <script src="archivos_curso_leaflet/shp.js"></script>
    <!-- jQuery -->
    <script src="https://code.jquery.com/jquery-3.1.1.min.js" integrity="sha256-hVVnYaiADRTO2PzUGmuLJr8BLUSjGIZsDYGmIJLv2b8=" crossorigin="anonymous"></script>
    <!-- Bootstrap -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
    <!-- Mini map -->
    <script src="Leaflet-MiniMap/dist/Control.MiniMap.min.js"></script>
    <!-- Leaflet.MousePosition -->
    <script src="Leaflet.MousePosition/src/L.Control.MousePosition.js" charset="utf-8"></script>
    <!-- leaflet-plugins -->
    <script src="leaflet-plugins/layer/tile/Bing.js" charset="utf-8"></script>
    <!-- API-KEY Google -->
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCo64rjBlRmgFCtMBZ4cdrj7xes8fS8qd0&libraries=places"></script>
    <!-- Leaflet.GoogleMutant -->
    <script src='https://unpkg.com/leaflet.gridlayer.googlemutant@latest/Leaflet.GoogleMutant.js'></script>
    <!-- Leaflet.awesome-markers -->
    <script src="Leaflet.awesome-markers/dist/leaflet.awesome-markers.js" charset="utf-8"></script>
    <!-- geojson -->
    <script type="text/javascript" src="countries.js"></script>

    <style>
        #map {
            width: 100%;
            height: 600px;
            box-shadow: 5px 5px 5px #888;
        }

        .info {
            padding: 6px 8px;
            font: 14px/16px Arial, Helvetica, sans-serif;
            background: white;
            background: rgba(255, 255, 255, 0.8);
            box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
            border-radius: 5px;
        }

        .info h2 {
            margin: 0 0 5px;
            color: #777;
        }

        .legend {
            line-height: 18px;
            color: #555;
        }

        .legend i {
            width: 18px;
            height: 18px;
            float: left;
            margin-right: 8px;
            opacity: 0.7;
        }
    </style>
</head>

<body>
    <div id="Zmax"></div>
    <div id="Zmin"></div>
    <div id="map"> </div>

    <script>
        var map = L.map('map', {
            center: [40.965, -5.664],
            zoom: 4
        });


        L.tileLayer('https://api.tiles.mapbox.com/v4/{id}/{z}/{x}/{y}.png?access_token=pk.eyJ1IjoibWFwYm94IiwiYSI6ImNpandmbXliNDBjZWd2M2x6bDk3c2ZtOTkifQ._QA7i5Mpkd_m30IGElHziw', {
            maxZoom: 18,
            attribution: 'Map data &copy; <a href="http://openstreetmap.org"> OpenStreetMap</a> contributors, ' +
                '<a href="http://creativecommons.org/licenses/by-sa/2.0/">CC-BY-SA</a>, ' + 'Imagery © <a href="http://mapbox.com">Mapbox</a>',
            id: 'mapbox.light'
        }).addTo(map);

        // L.esri.basemapLayer('Imagery').addTo(map);
        // L.esri.basemapLayer('ImageryLabels').addTo(map);

        // var shpfile = new L.Shapefile('archivos_curso_leaflet/countries.zip');
        // shpfile.addTo(map);

        // var shpfile = new L.Shapefile('archivos_curso_leaflet/countries.zip', {
        //     onEachFeature: function(feature, layer) {
        //         if (feature.properties) {
        //             var contenedor = [];
        //             for (var key in feature.properties) {
        //                 contenedor.push(key + ": " + feature.properties[key] + "<br>");
        //                 popupContent = contenedor.join("");
        //                 layer.bindPopup(popupContent);
        //             }
        //         }
        //     }
        // });
        // shpfile.addTo(map);
        // var shpfile = new L.Shapefile('archivos_curso_leaflet/countries.zip', {
        //     style: function(feature) {
        //         return {
        //             color: "black",
        //             fillColor: "green",
        //             fillOpacity: 0.6
        //         };
        //     }
        // });
        // shpfile.addTo(map);

        function getColor(d) {
            return d > 100000000 ? '#800026' :
                d > 50000000 ? '#BD0026' :
                d > 20000000 ? '#E31A1C' :
                d > 10000000 ? '#FC4E2A' :
                d > 5000000 ? '#FD8D3C' :
                d > 2000000 ? '#FEB24C' :
                d > 1000000 ? '#FED976' :
                '#FFEDA0';
        }

        function style(feature) {
            return {
                fillColor: getColor(feature.properties.POP_EST),
                weight: 2,
                opacity: 1,
                color: 'white',
                dashArray: '3',
                fillOpacity: 0.7
            };
        }

        function popup(feature, layer) {
            if (feature.properties && feature.properties.NAME) {
                layer.bindPopup(feature.properties.NAME);
            }
        }

        geojson = L.geoJson(countries, {
            style: style,
            onEachFeature: popup
        }).addTo(map);


        // Título en el mapa
        var title = L.control();

        title.onAdd = function(map) {
            var div = L.DomUtil.create('div', 'info');
            div.innerHTML += '<h2>Ciudades del mundo</h2>Tamaño según población';
            return div;
        };
        title.addTo(map);

        // Leyenda
        var legend = L.control({
            position: 'bottomright'
        });
        legend.onAdd = function(map) {
            var div = L.DomUtil.create('div', 'info legend'),
                grades = [0, 1000000, 2000000, 5000000, 10000000, 20000000, 50000000, 100000000],
                labels = [];
            // Intervalos de poblacion
            for (var i = 0; i < grades.length; i++) {
                div.innerHTML +=
                    '<i style="background:' + getColor(grades[i] + 1) + '"></i> ' +
                    grades[i] + (grades[i + 1] ? '&ndash;' + grades[i + 1] + '<br>' : '+');
            }
            return div;
        };
        legend.addTo(map);
    </script>
</body>

</html>
